Update Account

Update an existing account. Supports partial updates. Updatable fields: - Standard fields (title, description, address, accountType, isActive) - Contact information (primaryEmail, primaryPhone) - `contacts`: Contact IDs only (no name, email, phone, etc.). The contacts must be created first via POST /contacts. - Custom fields (through custom object) Note: Updates are atomic - either all fields update or none do. **Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

account_idintegerRequired
Account identifier

Query parameters

allow_new_optionsbooleanOptionalDefaults to false
Whether to allow creation of new dropdown options during record creation

Request

This endpoint expects an object.
titlestringOptional
Account name
descriptionstring or nullOptional
Account description
addresslist of stringsOptional

An array containing a single string, which represents the primary account location/address.

accountTypeenum or nullOptional
Account type
ownerIdinteger or nullOptional
ID of the owning user
primaryEmailstring or nullOptionalformat: "email"
Primary contact email
primaryPhonestring or nullOptional
Primary contact phone
contactslist of integers or nullOptional

Contact IDs to associate with this account. The contacts must be created first via POST /contacts. The first ID in the array is treated as the primary contact.

isActivebooleanOptional
Whether the account is active
custommap from strings to anyOptional
Custom fields

Response

Account updated successfully
idintegerOptional
Unique identifier
createdAtstringOptionalformat: "date-time"
Creation timestamp
updatedAtstringOptionalformat: "date-time"
Timestamp of the most recent update to the record, including changes to its custom property values.
titlestringOptional

Record title/name

descriptionstring or nullOptional
Record description
addresslist of stringsOptional

Record location/address

isActivebooleanOptional
Whether the record is active
primaryEmailstring or nullOptionalformat: "email"
Primary contact email
primaryPhonestring or nullOptional
Primary contact phone
numberintegerOptional

Record number (e.g., 1234)

createdByobject or nullOptional

User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact).

updatedByobject or nullOptional

User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor.

custommap from strings to anyOptional
Custom fields
accountTypeenum or nullOptional

Type of account (residential or commercial)

contactslist of objectsOptional

On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error